Bug 1289405 - Several php packages fail to rebuild
Several php packages fail to rebuild
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: php-pear-Console-Getargs (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7aarch64
  Show dependency treegraph
 
Reported: 2015-12-07 21:34 EST by Yaakov Selkowitz
Modified: 2015-12-10 05:28 EST (History)
1 user (show)

See Also:
Fixed In Version: php-pear-Console-Getargs-1.3.5-11.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 05:28:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2015-12-07 21:34:13 EST
On EPEL 7, the following packages fail to rebuild:

php-pear-Console-Getargs-1.3.5-9.el7
php-pear-HTML-QuickForm-advmultiselect-1.5.1-11.el7
php-pear-Net-DNS2-1.3.2-1.el7
php-pear-Numbers-Roman-1.0.2-15.el7

All with the following error:

PHP Warning:  require_once(Text/Template.php): failed to open stream: No such file or directory in /usr/share/php/PHPUnit/Framework/MockObject/Generator.php on line 23
PHP Fatal error:  require_once(): Failed opening required 'Text/Template.php' (include_path='.:/builddir/build/BUILDROOT/php-pear-Net-DNS2-1.3.2-1.el7.aarch64/usr/share/pear:/usr/share/pear') in /usr/share/php/PHPUnit/Framework/MockObject/Generator.php on line 23

However, this is not EPEL-specific, as the exact same thing occurs on F22 and F23:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12102516
http://koji.fedoraproject.org/koji/taskinfo?taskID=12102494
Comment 1 Remi Collet 2015-12-08 10:17:50 EST
=> epel
Comment 5 Remi Collet 2015-12-08 11:22:33 EST
I don't see FTBFS with php-pear-HTML-QuickForm-advmultiselect

http://koji.fedoraproject.org/koji/taskinfo?taskID=12112665
Comment 6 Fedora Update System 2015-12-08 11:24:16 EST
php-pear-Numbers-Roman-1.0.2-16.el7 php-pear-Net-DNS2-1.3.2-2.el7 php-pear-Console-Getargs-1.3.5-11.el7 php-pear-XML-Serializer-0.20.2-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0348aaecdf
Comment 7 Fedora Update System 2015-12-09 00:20:35 EST
php-pear-Console-Getargs-1.3.5-11.el7, php-pear-Net-DNS2-1.3.2-2.el7, php-pear-Numbers-Roman-1.0.2-16.el7, php-pear-XML-Serializer-0.20.2-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-pear-XML-Serializer php-pear-Console-Getargs php-pear-Net-DNS2 php-pear-Numbers-Roman'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0348aaecdf
Comment 8 Fedora Update System 2015-12-10 05:27:58 EST
php-pear-Console-Getargs-1.3.5-11.el7, php-pear-Net-DNS2-1.3.2-2.el7, php-pear-Numbers-Roman-1.0.2-16.el7, php-pear-XML-Serializer-0.20.2-13.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.